/*
 * oma-ds-agent
 * Copyright (c) 2012 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 *   @SE_Error.h
 *   @version									0.1
 *   @brief										This file is the header file of Error is defined
 */

#ifndef SE_ERROR_H_
#define SE_ERROR_H_

typedef enum {
	ERROR_UNKNOWN = 0,
	SE_INTERNAL_OK = 1,
	SE_INTERNAL_ERROR = 2,
	SE_INTERNAL_NO_MEMORY = 3,
	SE_INTERNAL_NOT_DEFINED = 4,
	SE_INTERNAL_DA_ERROR = 5,
	SE_INTERNAL_EVENT_ERROR = 6,
	SE_INTERNAL_ENGINE_CONTROLER_ERROR = 7,
	SE_INTERNAL_SCHEDULER_ERROR = 8,
	SE_INTERNAL_SA_ERROR = 9,
	SE_INTERNAL_MISCONFIGURATION = 10,
	SE_INTERNAL_CANCEL = 11,
	SE_INTERNAL_LOW_BATTERY = 12,
	SE_INTERNAL_SUSPEND = 13,

} se_error_type_e;

#endif				/* SE_ERROR_H_ */
